Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgIntrospection::TypedMethodInfo1< C, R, P0 > Class Template Reference

Inheritance diagram for osgIntrospection::TypedMethodInfo1< C, R, P0 >:

[legend]
List of all members.

## Public Types
typedef R(C::* | ConstFunctionType )(P0) const
typedef R(C::* | FunctionType )(P0)
## Public Member Functions
| TypedMethodInfo1 (const std::string &qname, ConstFunctionType cf, const ParameterInfoList &plist)
| TypedMethodInfo1 (const std::string &qname, FunctionType f, const ParameterInfoList &plist)
bool | isConst () const
| Returns whether the reflected method is const or not.
bool | isStatic () const
| Returns whether the reflected method is static or not.
Value | invoke (const Value &instance, ValueList &args) const
| Invokes the reflected method dynamically on the given const instance, passing it the arguments as a list of Value objects.
Value | invoke (Value &instance, ValueList &args) const
| Invokes the reflected method dynamically on the given instance, passing it the arguments as a list of Value objects.

### template<typename C, typename R, typename P0>
class osgIntrospection::TypedMethodInfo1< C, R, P0 >

## Member Typedef Documentation

template<typename C, typename R, typename P0>
typedef R(C::* osgIntrospection::TypedMethodInfo1< C, R, P0 >::ConstFunctionType)(P0) const

template<typename C, typename R, typename P0>
typedef R(C::* osgIntrospection::TypedMethodInfo1< C, R, P0 >::FunctionType)(P0)

## Constructor & Destructor Documentation

template<typename C, typename R, typename P0>
osgIntrospection::TypedMethodInfo1< C, R, P0 >::TypedMethodInfo1 | ( | const std::string & | qname,
|  | ConstFunctionType | cf,
|  | const ParameterInfoList & | plist
| ) | `[inline]`

template<typename C, typename R, typename P0>
osgIntrospection::TypedMethodInfo1< C, R, P0 >::TypedMethodInfo1 | ( | const std::string & | qname,
|  | FunctionType | f,
|  | const ParameterInfoList & | plist
| ) | `[inline]`

## Member Function Documentation

template<typename C, typename R, typename P0>
Value osgIntrospection::TypedMethodInfo1< C, R, P0 >::invoke | ( | Value & | instance,
|  | ValueList & | args
| ) | const`[inline, virtual]`

| Invokes the reflected method dynamically on the given instance, passing it the arguments as a list of Value objects. Reimplemented from osgIntrospection::MethodInfo.

template<typename C, typename R, typename P0>
Value osgIntrospection::TypedMethodInfo1< C, R, P0 >::invoke | ( | const Value & | instance,
|  | ValueList & | args
| ) | const`[inline, virtual]`

| Invokes the reflected method dynamically on the given const instance, passing it the arguments as a list of Value objects. Reimplemented from osgIntrospection::MethodInfo.

template<typename C, typename R, typename P0>
bool osgIntrospection::TypedMethodInfo1< C, R, P0 >::isConst | ( |  | ) | const`[inline, virtual]`

| Returns whether the reflected method is const or not. Implements osgIntrospection::MethodInfo.

template<typename C, typename R, typename P0>
bool osgIntrospection::TypedMethodInfo1< C, R, P0 >::isStatic | ( |  | ) | const`[inline, virtual]`

| Returns whether the reflected method is static or not. Implements osgIntrospection::MethodInfo.

The documentation for this class was generated from the following file:

- TypedMethodInfo